<div class="ninedok-preloader"></div>

<div class="ninedok-main-wrapper">
    <header class="ninedok-header--wrap">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">

                    <!-- HEADER -->
                    <div class="ninedok-header">

                        <!-- NAVIGATION -->
                        <nav id="topmenu" class="ninedok-header--topmenu">

                            <div class="ninedok-header--logo-wrap">
                                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="ninedok-header--logo">
                                    <span><?php echo get_option( 'blogname' ); ?></span>
                                </a>
                            </div>

                            <div class="ninedok-header--menu-wrapper">
								<?php if ( has_nav_menu( 'primary-menu' ) ) {

									$args                   = array( 'container' => '' );
									$args['theme_location'] = 'primary-menu';
									wp_nav_menu( $args );

								} else {

									echo '<span class="no-menu primary-no-menu">' . esc_html__( 'Please register Top Navigation from', 'ninedok' ) . ' <a href="' . esc_url( admin_url( 'nav-menus.php' ) ) . '" target="_blank">' . esc_html__( 'Appearance &gt; Menus', 'ninedok' ) . '</a></span>';

								} ?>

                            </div>

                            <!-- SEARCH -->
                            <div class="ninedok-header--search-wrap">
								<?php do_action( 'ninedok_search' ); ?>
                            </div>

                            <!-- MOB MENU ICON -->
                            <div class="ninedok-header--mob-nav">
                                <a href="#" class="ninedok-header--mob-nav__hamburger">
                                    <span></span>
                                </a>
                            </div>
                        </nav>

                    </div>
                </div>
            </div>
        </div>
    </header>

