<?php
/**
 * 404 Page
 */

get_header(); ?>

    <div class="ninedok-error--wrap">

        <div class="ninedok-error--big-title"><?php esc_html_e( 'OOPS!', 'ninedok' ); ?></div>

        <div class="ninedok-error--small-title"><?php esc_html_e( '404', 'ninedok' ); ?></div>

        <h1 class="ninedok-error--title"><?php esc_html_e( 'Page not found', 'ninedok' ); ?></h1>

        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="ninedok-error--button"><?php esc_html_e( 'Go home', 'ninedok' ); ?></a>

    </div>

<?php get_footer();
