<?php
/**
 * The Progress Bar Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);

$this->generate_css();
// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-progress--ninedok-inline' );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


/**
 * Set dependent style
 */
$sc_dir = NINE_DOK_T_URI . '/aheto/progress-bar/';
wp_enqueue_style( 'ninedok-progress-bar-numbers', $sc_dir . 'assets/css/cs_layout1.css', null, null );
?>

<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div class="aheto-progress--bar">

		<?php
		// Heading.
		if ( $heading ) {
			echo '<' . $cs_heading_tag . ' class="aheto-counter__heading">' . wp_kses($heading, 'post') . '</' . $cs_heading_tag . '>';
		}
		?>

		<div class="aheto-progress__bar prog-bar">
			<div class="aheto-progress__bar-holder prog-bar-hldr">
				<span class="aheto-progress__bar-perc prog-bar-perc t-medium"><?php echo absint($percentage); ?></span>
            </div>
            <div class="aheto-progress__bar-val prog-bar-val"></div>
		</div>

	</div>

</div>
